<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.AlarmHydrantWaterMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.AlarmHydrantWater">
        <id column="id" property="id" />
        <result column="device_code" property="deviceCode" />
        <result column="device_name" property="deviceName" />
        <result column="alarm_type" property="alarmType" />
        <result column="alarm_time" property="alarmTime" />
        <result column="address" property="address" />
        <result column="alarm_status" property="alarmStatus" />
        <result column="system_type" property="systemType" />
        <result column="port_num" property="portNum" />
        <result column="company_id" property="companyId" />
        <result column="company_name" property="companyName" />
        <result column="attribute_value1" property="attributeValue1" />
        <result column="attribute_value2" property="attributeValue2" />
        <result column="attribute_value3" property="attributeValue3" />
        <result column="attribute_value4" property="attributeValue4" />
        <result column="handler" property="handler" />
        <result column="handling_time" property="handlingTime" />
        <result column="handling_content" property="handlingContent" />
        <result column="handler_phone" property="handlerPhone" />
        <result column="handling_status" property="handlingStatus" />
        <result column="false_alarm" property="falseAlarm" />
        <result column="site_photo" property="sitePhoto" />
    </resultMap>

</mapper>
